Main Page | Modules | Class List | File List | Class Members | File Members

# Game server functionalities

Game server functionalities. More...

## Functions
GSCDKeyRequest | GSCDKey_ValidateUser (GShandle pGSCDKeyHandle, PVALIDATION_SERVER_INFO psValidationServerInfo, GSubyte *pucAuhorizationID, GSchar *szGameName, GSushort usTimeout=3)
| Ask the validation server for a validation status of a player.
GSCDKeyRequest | GSCDKey_DisconnectUser (GShandle pGSCDKeyHandle, PVALIDATION_SERVER_INFO psValidationServerInfo, GSubyte *pucAuhorizationID)
| Inform the validation server that a player has disconnected.
GSCDKeyRequest | GSCDKey_PlayerStatusReply (GShandle pGSCDKeyHandle, PVALIDATION_SERVER_INFO psValidationServerInfo, GSubyte *pucAuhorizationID, CDKEY_PLAYER_STATUS eStatus)
| Inform the validation server of a player status.

## Detailed Description

These functions are used by the game server to ask the validation status of a player, inform the validation server of a player status and disconnection.

## Function Documentation

GSCDKeyRequest GSCDKey_DisconnectUser | ( | GShandle | pGSCDKeyHandle,
|  | PVALIDATION_SERVER_INFO | psValidationServerInfo,
|  | GSubyte * | pucAuhorizationID
| ) |

  | Description: This function is used to inform the validation server that a player has disconnected from the game server. This must be called whenever a game server detects a client disconnection. Returns: The id of the request Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  psValidationServerInfo | Validation server information
  pucAuhorizationID | Authorization id of the game client

GSCDKeyRequest GSCDKey_PlayerStatusReply | ( | GShandle | pGSCDKeyHandle,
|  | PVALIDATION_SERVER_INFO | psValidationServerInfo,
|  | GSubyte * | pucAuhorizationID,
|  | CDKEY_PLAYER_STATUS | eStatus
| ) |

  | Description: This function is used to inform the validation server of a player status. This must be called with the correct status for a player whenever the game server receive a status request from the validation server via the CBCDKey_RcvPlayerStatusRequest callback. Returns: The id of the request Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  psValidationServerInfo | Validation server information
  pucAuhorizationID | Authorization id of the game client
  eStatus | Status of the player

GSCDKeyRequest GSCDKey_ValidateUser | ( | GShandle | pGSCDKeyHandle,
|  | PVALIDATION_SERVER_INFO | psValidationServerInfo,
|  | GSubyte * | pucAuhorizationID,
|  | GSchar * | szGameName,
|  | GSushort | usTimeout = 3
| ) |

  | Description: This function is used to ask the validation server for a validation status of a player after the latter has connected on the game server. The game server will received the result via the CBCDKey_RcvValidationResponse callback. Returns: The id of the request Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  psValidationServerInfo | Validation server information
  pucAuhorizationID | Authorization id sent by the game client
  szGameName | Name of the game on the game server
  usTimeout | Number of second before the request is considered timed out default for this request is 3. 0 means a unlimited timeout value.

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team